=== examples/Makefile ===
RUNLISP = lisp -load ../load-libs -load ../cmucl-interface-defpackage -load ../cmucl-interface -load ../gl-defpackage -load ../gl -load ../xlib-defpackage -load ../xlib
#FAS = sparcf
FAS = x86f

all: glspin-glx.${FAS} bounce-glx.${FAS}

glspin-glx.${FAS}: glspin-glx.lisp ../xlib.${FAS} ../gl.${FAS}
	${RUNLISP} -eval '(progn (compile-file "glspin-glx") (quit))'

bounce-glx.${FAS}: bounce-glx.lisp ../xlib.${FAS} ../gl.${FAS}
	${RUNLISP} -eval '(progn (compile-file "bounce-glx") (quit))'

clean:
	rm -f *.$(FAS)
