## cl-mcclim 0.9.6.dfsg.cvs20100315

=== debian/changelog ===
cl-mcclim (0.9.6.dfsg.cvs20100315-2) unstable; urgency=low

  * Orphaned.

 -- Milan Zamazal <pdm@debian.org>  Sat, 30 Nov 2013 21:06:22 +0100

cl-mcclim (0.9.6.dfsg.cvs20100315-1) unstable; urgency=low

  * New upstream snapshot.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Separate upstream source changes to debian/patches/.
  * Updated to debhelper 7.
  * Use dh_lisp.
  * Section changed to lisp.
  * Standards 3.8.4.

 -- Milan Zamazal <pdm@debian.org>  Tue, 16 Mar 2010 21:29:00 +0100

cl-mcclim (0.9.6.dfsg.1-2) unstable; urgency=low

  * Depend on cl-flexichain>=1.5.1.

 -- Milan Zamazal <pdm@debian.org>  Tue, 01 Jul 2008 14:45:13 +0200

cl-mcclim (0.9.6.dfsg.1-1) unstable; urgency=low

  * New upstream version.
  * Standards 3.8.0 (no real change).
  * Homepage control field added.

 -- Milan Zamazal <pdm@debian.org>  Sat, 28 Jun 2008 12:38:46 +0200

cl-mcclim (0.9.5.dfsg.1-1) unstable; urgency=low

  * New upstream version; closes: #441312.

 -- Milan Zamazal <pdm@debian.org>  Thu,  6 Sep 2007 16:36:07 +0200

cl-mcclim (0.9.4.dfsg.1-1) experimental; urgency=low

  * New upstream version.
  * Upload to experimental because etch is in freeze.

 -- Milan Zamazal <pdm@debian.org>  Fri,  9 Feb 2007 08:24:31 +0100

cl-mcclim (0.9.2.dfsg.1-2) unstable; urgency=low

  * Information about CLX dependencies added to package descriptions;
    closes: #400504.
  * Build-depend, not build-depend-indep, on debhelper.
  * Standards 3.7.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sun,  3 Dec 2006 09:48:32 +0100

cl-mcclim (0.9.2.dfsg.1-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Sun,  2 Apr 2006 17:13:32 +0200

cl-mcclim (0.9.1.dfsg.1-1) unstable; urgency=low

  * Non-free (and unused) files mistakenly retained from the original
    upstream source removed.

 -- Milan Zamazal <pdm@debian.org>  Sat,  7 Jan 2006 20:54:41 +0100

cl-mcclim (0.9.1-3) unstable; urgency=low

  * Support for new SBCL threading API added; thanks to
    René van Bevern <rvb@progn.org>; closes: #344415.
  * Standards 3.6.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Fri, 23 Dec 2005 21:33:06 +0100

cl-mcclim (0.9.1-2) unstable; urgency=low

  * mcclim.asd: Scigraph entry removed (closes: #311731).

 -- Milan Zamazal <pdm@debian.org>  Sun,  5 Jun 2005 14:44:40 +0200

cl-mcclim (0.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Milan Zamazal <pdm@debian.org>  Thu, 10 Mar 2005 22:41:20 +0100

cl-mcclim (0.9+cvs.2005.02.02-2) unstable; urgency=low

  * Fix of binary PNM image handling with SB-UNICODE applied.
  * Upstream project location updated.

 -- Milan Zamazal <pdm@debian.org>  Tue,  8 Feb 2005 08:27:55 +0100

cl-mcclim (0.9+cvs.2005.02.02-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Wed,  2 Feb 2005 11:34:31 +0100

cl-mcclim (0.9+cvs.2004.12.27-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Mon, 27 Dec 2004 11:00:42 +0100

cl-mcclim (0.9+cvs.2004.11.30-1) unstable; urgency=low

  * New CVS snapshot.
  * Source files containing non-ASCII characters converted to UTF-8 to
    compile with new SBCL version.

 -- Milan Zamazal <pdm@debian.org>  Tue, 30 Nov 2004 13:39:08 +0100

cl-mcclim (0.9+cvs.2004.11.08-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Mon,  8 Nov 2004 14:47:10 +0100

cl-mcclim (0.9+cvs.2004.10.20-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Wed, 20 Oct 2004 10:06:34 +0200

cl-mcclim (0.9+cvs.2004.10.10-1) unstable; urgency=low

  * New CVS snapshot.
  * generate-panes and colorslider demo fixes; closes: #275483.
  * cl-mcclim: Suggest both cmucl-source and cl-clx-sbcl, describe the CLX
    dependency in README.Debian; closes: #275480.

 -- Milan Zamazal <pdm@debian.org>  Sun, 10 Oct 2004 12:55:23 +0200

cl-mcclim (0.9+cvs.2004.09.18-1) unstable; urgency=low

  * New CVS snapshot.
  * pointer-tracking bug fix.

 -- Milan Zamazal <pdm@debian.org>  Sat, 18 Sep 2004 22:09:17 +0200

cl-mcclim (0.9+cvs.2004.08.01-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Sun,  1 Aug 2004 19:44:28 +0200

cl-mcclim (0.9+cvs.2004.07.28-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Wed, 28 Jul 2004 22:44:41 +0200

cl-mcclim (0.9+cvs.2004.07.16-1) unstable; urgency=low

  * New CVS snapshot.
  * Examples link fixed; closes: #258466.

 -- Milan Zamazal <pdm@debian.org>  Fri, 16 Jul 2004 11:55:04 +0200

cl-mcclim (0.9+cvs.2004.06.03-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Thu,  3 Jun 2004 11:41:45 +0200

cl-mcclim (0.9+cvs.2004.04.09-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Sun, 11 Apr 2004 17:42:33 +0200

cl-mcclim (0.9+cvs.2004.02.27-3) unstable; urgency=low

  * Register clim-clx into common-lisp-controller; closes: #239197.
  * cl-mcclim-examples: Register clim-examples in common-lisp-controller,
    recommend cl-mcclim.
  * cl-mcclim-doc: Suggest cl-mcclim.

 -- Milan Zamazal <pdm@debian.org>  Wed, 24 Mar 2004 09:42:00 +0100

cl-mcclim (0.9+cvs.2004.02.27-2) unstable; urgency=low

  * System definition adjusted for Debian CMUCL installation;
    closes: #237592.
  * cl-mcclim, cl-mcclim-examples: README.Debian added.

 -- Milan Zamazal <pdm@debian.org>  Fri, 12 Mar 2004 22:12:52 +0100

cl-mcclim (0.9+cvs.2004.02.27-1) unstable; urgency=low

  * New CVS snapshot.

 -- Milan Zamazal <pdm@debian.org>  Fri, 27 Feb 2004 10:48:03 +0100

cl-mcclim (0.9+cvs.2004.01.23-1) unstable; urgency=low

  * Initial release; based on former Kevin M. Rosenberg's packaging.
  * Patch of CLX imaging support by Milan Zamazal included.

 -- Milan Zamazal <pdm@debian.org>  Wed, 28 Jan 2004 11:07:02 +0100
