=== debian/control ===
Source: cl-mcclim
Section: lisp
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), dh-lisp
Homepage: http://common-lisp.net/project/mcclim/
Standards-Version: 3.8.4

Package: cl-mcclim
Architecture: all
Depends: common-lisp-controller (>= 3.37), cmucl-source | cl-clx-sbcl | libgtk2.0-dev, cmucl-source | cl-clx-sbcl | cl-cffi, cl-spatial-trees (>= 0.1-2), cl-flexichain (>= 1.5.1), cl-swank, ${misc:Depends}
Suggests: cl-mcclim-doc, cl-mcclim-examples, cmucl-source, cl-clx-sbcl, libgtk2.0-dev, cl-cffi
Description: Common Lisp graphic user interface toolkit
 McCLIM is a free implementation of the CLIM specification.  CLIM (Common Lisp
 Interface Manager) is a cross-platform, cross-implementation graphic user
 interface toolkit for Common Lisp programs.
 .
 This package contains the McCLIM library.
 .
 Please note that a CLX implementation compatible with your CL system,
 i.e. cl-clx-sbcl for sbcl and cmucl-source for cmucl, is required to compile
 and run cl-mcclim.
    
Package: cl-mcclim-examples
Architecture: all
Depends: common-lisp-controller (>= 3.37), ${misc:Depends}
Recommends: cl-mcclim
Description: Common Lisp graphic user interface toolkit
 McCLIM is a free implementation of the CLIM specification.  CLIM (Common Lisp
 Interface Manager) is a cross-platform, cross-implementation graphic user
 interface toolkit for Common Lisp programs.
 . 
 This package contains example files for McCLIM.
 .
 Please note that a CLX implementation compatible with your CL system,
 i.e. cl-clx-sbcl for sbcl and cmucl-source for cmucl, is required to compile
 and run cl-mcclim and cl-mcclim-examples.

Package: cl-mcclim-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: cl-mcclim
Description: Graphic user interface package for Common Lisp programs
 McCLIM is a free implementation of the CLIM specification.  CLIM (Common Lisp
 Interface Manager) is a cross-platform, cross-implementation graphic user
 interface toolkit for Common Lisp programs.
 .
 This package contains McCLIM documentation.
