=== debian/rules ===
#!/usr/bin/make -f

package	:= cl-mcclim

clc-source  := usr/share/common-lisp/source
clc-systems := usr/share/common-lisp/systems
clc-package := mcclim
clc-files   := $(clc-source)/$(clc-package)


build: build-stamp

build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	# cl-mcclim
	dh_installdirs $(clc-systems)
	dh_install *.lisp Apps Backends Drei ESA Experimental Extensions Goatee Lisp-Dep Looks Tools $(clc-files)
	dh_install mcclim.asd clim-listener.asd clouseau.asd $(clc-files)
	dh_link $(clc-files)/mcclim.asd $(clc-systems)/$(clc-package).asd
	set -e; for p in clim clim-clx clim-clx-user clim-looks; do \
	  dh_link $(clc-systems)/$(clc-package).asd $(clc-systems)/$$p.asd; \
	done
	# cl-mcclim-examples
	dh_installdirs -p$(package)-examples $(clc-systems) $(clc-files)
	dh_install -p$(package)-examples Examples $(clc-files)
	dh_link -p$(package)-examples $(clc-files)/Examples usr/share/doc/$(package)-examples/examples
	dh_install -p$(package)-examples clim-examples.asd $(clc-files)/
	dh_link -p$(package)-examples $(clc-files)/clim-examples.asd $(clc-systems)/clim-examples.asd
	# cl-mcclim-doc
	# common
	find debian -name .cvsignore -exec rm {} \;

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -A
	dh_installchangelogs -A
	dh_compress -A
	dh_fixperms -A
	find debian -name '*.lisp' -exec chmod -x {} \;
	dh_lisp -A
	dh_installdeb -A
	dh_gencontrol -A
	dh_md5sums -A
	dh_builddeb -A

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
